Posté le 26/05/2012 à 17:05 Membre depuis le 26/05/2012, 8 messages
Bonjour , j'ai acheté une TI-89 Titanium sur internet récemment et il se trouve que lorsque je regarde le hardware , je vois hardware version 4.00 (OS 3.10) et je vois tres peu de gens sur les forum ayant ce hardware , et je cherche comment est il possible de mettre doors os ou nimporte quel shell qui puisse lire des jeux ou apps avec ce hardware , car quand j'ai essayé avec doors OS II ca a planté ma calculette (que j'ai réussi a réinitialiser) . Merci de vite me répondre parce que je suis pressé de bidouiller ma machine smile
Posté le 26/05/2012 à 17:12 Membre depuis le 11/11/2001, 116488 messages
Essayes PreOS, il est plus récent, ça devrait aller mieux... Toutes les TI 89 Titanium ont normalement un hardware en version 4...
avatarWebmaster du site Ti-FRv3 (et aussi de DevLynx)
Si moins de monde enculait le système, alors celui ci aurait plus de mal à nous sortir de si grosses merdes !
"L'erreur humaine est humaine"©Nil (2006) // topics/6238-moved-jamais-jaurais-pense-faire-ca
Posté le 26/05/2012 à 17:25 Membre depuis le 28/10/2001, 7625 messages
Les 89T récentes ont en effet un hardware en version 4, les premières avaient un hardware en version 3 smile
Et comme l'indique vince, le seul "kernel" qui fonctionne sur 89T est PreOS.
avatarMembre de la TI-Chess Team.
Co-mainteneur de GCC4TI (documentation en ligne de GCC4TI), TIEmu et TILP.
Co-admin de TI-Planet.
Posté le 26/05/2012 à 17:29 Membre depuis le 26/05/2012, 8 messages
Donc pas besoin de Doors OS dans ce cas la ?? Même pour les jeux qui pretendent dans leur "readme" avoir besoin de ce shell ? Merci
Posté le 26/05/2012 à 17:45 Membre depuis le 10/06/2001, 45086 messages
PreOS est un équivalent compatible de DoorsOS, en plus récent et plus abouti. Et ce n'est pas un shell, mais un kernel roxe.
Posté le 26/05/2012 à 17:49 Membre depuis le 26/05/2012, 8 messages
Merci j'ai installé preOS 0.70 l'installation marche mais lorsque j'essaye de lancer Super Mario Quest et que j'installe les 3 librairies necessaires (uselib, graphlib et hufflib) je lance preOS et il y a ecrit main\graphlib outdated pour les 3 librairies .. Que dois-je faire ?? MERci
Posté le 26/05/2012 à 17:50 Membre depuis le 10/06/2001, 45086 messages
efface graphlib, elle est déjà inclue dans le fichier stdlib (qui doit être dans le répertoire main, et archivé)
Posté le 26/05/2012 à 17:57 Membre depuis le 26/05/2012, 8 messages
c'est fait maintenant j'ai "crush intercepted" c'est pas simple ces machines ..
Posté le 26/05/2012 à 18:05 Membre depuis le 28/10/2001, 7625 messages
Ce n'est pas dit que ton problème vienne de là, mais PreOS 0.70 est lourdement dépassé smile
Télécharge PreOS 1.0.7 depuis le site de l'auteur, t3/ .
avatarMembre de la TI-Chess Team.
Co-mainteneur de GCC4TI (documentation en ligne de GCC4TI), TIEmu et TILP.
Co-admin de TI-Planet.
Posté le 26/05/2012 à 18:31 Membre depuis le 26/05/2012, 8 messages
Merci beaucoup ca marche désormais !!
Posté le 26/05/2012 à 18:34 Membre depuis le 11/11/2001, 116488 messages
tant mieux smile
avatarWebmaster du site Ti-FRv3 (et aussi de DevLynx)
Si moins de monde enculait le système, alors celui ci aurait plus de mal à nous sortir de si grosses merdes !
"L'erreur humaine est humaine"©Nil (2006) // topics/6238-moved-jamais-jaurais-pense-faire-ca
Posté le 27/05/2012 à 13:32 Membre depuis le 10/06/2001, 40253 messages
Il n'y a pratiquement pas de différence entre les versions matérielles 3.00 et 4.00 à part le numéro de version (et toutes les TI-89 Titanium ont au moins la version 3.00). Au départ, on a cru que la FlashROM et/ou la vitesse aient été augmentée(s), mais on s'est rendus compte que la quantité de FlashROM n'avait en fait pas changé et que l'augmentation apparente de vitesse était due à une erreur procédurale lors des mesures (benchmark en TI-BASIC sensible à la quantité de handles présente sur la calculatrice, donc plus rapide sur une calculatrice neuve (ou réinitialisée) que sur une calculatrice contenant déjà beaucoup de fichiers). Donc en fin de compte rien n'a changé en pratique.

Niveau compatibilité des logiciels, absolument rien n'a changé, sauf si le logiciel vérifie le numéro de version du matériel (comme par exemple HW3Patch, que j'ai dû mettre à jour pour accepter la version 4.00).
avatarMes news pour calculatrices TI: Ti-Gen (fr/en), MobiFiles (de)
Mes projets PC pour calculatrices TI: TIGCC, CalcForge (CalcForgeLP, Emu-TIGCC)
Mes chans IRC: #tigcc et #inspired sur irc.freequest.net (UTF-8)

Liberté, Égalité, Fraternité